<?xml version="1.0" encoding="utf-8"?>
<extension type="plugin" group="system" method="upgrade">
    <name>plg_system_bsn_wertungsbox</name>
    <version>2.0.0</version>
    <creationDate>2026-06-18</creationDate>
    <author>brettspiel-news.de</author>
    <authorEmail>daniel@brettspiel-news.de</authorEmail>
    <copyright>(C) 2026 brettspiel-news.de</copyright>
    <license>GNU GPL v2 or later</license>
    <description>PLG_SYSTEM_BSN_WERTUNGSBOX_DESC</description>

    <files>
        <filename plugin="bsn_wertungsbox">bsn_wertungsbox.php</filename>
        <filename>script.php</filename>
        <folder>language</folder>
    </files>

    <languages>
        <language tag="de-DE">language/de-DE/plg_system_bsn_wertungsbox.ini</language>
        <language tag="de-DE">language/de-DE/plg_system_bsn_wertungsbox.sys.ini</language>
    </languages>

    <config>
        <fields name="params">
            <fieldset name="basic" label="PLG_SYSTEM_BSN_WERTUNGSBOX_SETTINGS">
                <field
                    name="categories_wertung"
                    type="category"
                    label="PLG_SYSTEM_BSN_WERTUNGSBOX_CAT_WERTUNG"
                    description="PLG_SYSTEM_BSN_WERTUNGSBOX_CAT_WERTUNG_DESC"
                    extension="com_content"
                    multiple="true"
                    size="8"
                    layout="joomla.form.field.list-fancy-select"
                />
                <field
                    name="intro_count"
                    type="number"
                    label="PLG_SYSTEM_BSN_WERTUNGSBOX_INTRO"
                    description="PLG_SYSTEM_BSN_WERTUNGSBOX_INTRO_DESC"
                    default="1"
                    min="0"
                    max="10"
                    filter="integer"
                />
            </fieldset>
        </fields>
    </config>
</extension>
